/*
		  Interface Monitor - Window - Gauge
 */

#ifndef IFM_WIN_GAUGE_H
#define IFM_WIN_GAUGE_H

#include <gtk/gtk.h>

typedef struct _IFMWinGauge		IFMWinGauge;
#define IFM_WIN_GAUGE(p)		((IFMWinGauge *)(p))


/*
 *	Gauge Styles:
 */
typedef enum {
	IFM_WIN_GAUGE_STYLE_CONTINUOUS,
	IFM_WIN_GAUGE_STYLE_LEDS,
	IFM_WIN_GAUGE_STYLE_GRADIENT_LEDS
} IFMWinGaugeStyle;


/* IFMWinGauge */
extern IFMWinGauge *ifm_win_gauge_new(
	GtkWidget *parent,
	const gchar *widget_name,
	const GtkOrientation orientation,
	const gchar *label_text, const gint label_width,
	const IFMWinGaugeStyle gauge_style,
	const gint gauge_length,
	const gint nticks
);
extern void ifm_win_gauge_delete(IFMWinGauge *gauge);

/* Resize */
extern void ifm_win_gauge_resize(
	IFMWinGauge *gauge,
	const gint width, const gint height
);

/* Draw */
extern void ifm_win_gauge_draw(IFMWinGauge *gauge);
extern void ifm_win_gauge_queue_draw(IFMWinGauge *gauge);

/* IFMWinGaugeStyle */
extern IFMWinGaugeStyle ifm_win_gauge_get_gauge_style(IFMWinGauge *gauge);
extern void ifm_win_gauge_set_gauge_style(
	IFMWinGauge *gauge,
	const IFMWinGaugeStyle gauge_style
);

/* Value */
extern gfloat ifm_win_gauge_get_value(IFMWinGauge *gauge);
extern void ifm_win_gauge_set_value(
	IFMWinGauge *gauge,
	const gfloat value
);

#endif	/* IFM_WIN_GAUGE_H */
