/*
		Interface Monitor - Window - Pixmap
 */

#ifndef IFM_WIN_PIXMAP_H
#define IFM_WIN_PIXMAP_H

#include <gtk/gtk.h>

typedef struct _IFMWinPixmap		IFMWinPixmap;
#define IFM_WIN_PIXMAP(p)		((IFMWinPixmap *)(p))


/*
 *	IFMPixmap:
 */
struct _IFMWinPixmap {
	GdkPixmap	*pixmap;
	GdkBitmap	*mask;
	gint		ref_count,
			width,
			height;
	guint8		**src_data;		/* XPM data used to create
						 * the pixmap and mask or
						 * NULL if not applicable */
};


extern IFMWinPixmap *ifm_win_pixmap_new(void);
extern IFMWinPixmap *ifm_win_pixmap_new_ref(void);
extern IFMWinPixmap *ifm_win_pixmap_new_from_xpm_data(
	GdkWindow *window,
	guint8 **xpm_data
);
extern IFMWinPixmap *ifm_win_pixmap_ref(IFMWinPixmap *p);
extern IFMWinPixmap *ifm_win_pixmap_unref(IFMWinPixmap *p);

extern gboolean ifm_win_pixmap_is_loaded(IFMWinPixmap *p);


#endif	/* IFM_WIN_PIXMAP_H */
