#include <errno.h>
#include <glib.h>
#include "if_con_info.h"


int main(int argc, char *argv[])
{
	gint status;
	const gchar	*chat_report_path = "/etc/ppp/chat-report",
			*if_name = "ppp0";
	IFConInfo con_info_buf;

	if(argc > 1)
		chat_report_path = argv[1];
	if(argc > 2)
		if_name = argv[2];

	status = if_get_con_info_from_chat_report(
		chat_report_path,
		if_name,
		&con_info_buf
	);
	if(status != 0)
	{
		const gint error_code = (gint)errno;
		g_printerr(
			"%s: %s.\n",
			chat_report_path,
			g_strerror(error_code)
		);
	}
	else
	{
		g_print(
"speed=%ld kbps\n",
			con_info_buf.speed_bits_per_sec
		);
		g_print(
"start_time_sec=%ld seconds since EPOCH\n",
			con_info_buf.start_time_sec
		);
		g_print(
"flags=\"%s\"\n",
			con_info_buf.flags_string
		);
	}

	return(0);
}
