#include <errno.h>
#include <glib.h>
#include "route.h"


int main(int argc, char *argv[])
{
	GList		*glist,
			*list;
	RouteItem *item;

	list = route_table_list();
	for(glist = list; glist != NULL; glist = g_list_next(glist))
	{
		item = ROUTE_ITEM(glist->data);

		g_print(
"iface=\"%s\"\
 destination=%d.%d.%d.%d\
 gateway=%d.%d.%d.%d\
 flags=%s%s%s%s%s%s%s%s%s%s\
 refcnt=%ld\
 use=%ld\
 metric=%ld\
 mask=%d.%d.%d.%d\
 mtu=%ld\
 window=%ld\
 irtt=%ld\
\n",
			item->iface,
			item->destination.u8[0],
			item->destination.u8[1],
			item->destination.u8[2],
			item->destination.u8[3],
			item->gateway.u8[0],
			item->gateway.u8[1],
			item->gateway.u8[2],
			item->gateway.u8[3],
			(item->flags & ROUTE_FLAG_UP) ? "UP " : "",
			(item->flags & ROUTE_FLAG_GATEWAY) ? "GATEWAY " : "",
			(item->flags & ROUTE_FLAG_HOST) ? "HOST " : "",
			(item->flags & ROUTE_FLAG_REINSTATE) ? "REINSTATE " : "",
			(item->flags & ROUTE_FLAG_DYNAMIC) ? "DYNAMIC " : "",
			(item->flags & ROUTE_FLAG_MODIFIED) ? "MODIFIED " : "",
			(item->flags & ROUTE_FLAG_MTU) ? "MTU " : "",
			(item->flags & ROUTE_FLAG_WINDOW) ? "WINDOW " : "",
			(item->flags & ROUTE_FLAG_IRTT) ? "IRTT " : "",
			(item->flags & ROUTE_FLAG_REJECT) ? "REJECT " : "",
			item->refcnt,
			item->use,
			item->metric,
			item->mask.u8[0],
			item->mask.u8[1],
			item->mask.u8[2],
			item->mask.u8[3],
			item->mtu,
			item->window,
			item->irtt
		);
	}
	route_table_list_delete(list);


	return(0);
}
